Name:		swfdec
Version:	0.3.5
Release:	0.%{mysig}
Summary:	Flash animation rendering library

Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.schleef.org/swfdec/
Source:		http://www.schleef.org/swfdec/download/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	liboil-devel >= 0.3.0
BuildRequires:  libmad-devel
BuildRequires:	gtk2-devel >= 2.2.0
BuildRequires:	libart_lgpl-devel
BuildRequires:	zlib-devel
BuildRequires:	SDL-devel

# sigh, libtool
BuildRequires:	gcc-c++

Requires(pre):	/sbin/ldconfig
Requires(post):	/sbin/ldconfig

# we can't require the actual binary since during fc3 a gtk2 was introduced
# that postfixed -32 or -64; so we cannot hard-require any of the binaries
Requires(pre):	gtk2
Requires(post):	gtk2

%description
swfdec is a library for rendering Flash animations. Currently it
handles most Flash 3 animations and some Flash 4.
No interactivity is supported yet.

%package devel
Summary:	swfdec development files and static libraries.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	liboil-devel >= 0.3

%description devel
swfdec-devel contains the files needed to build packages that depend on swfdec.

%prep
%setup -q

%build
%configure --disable-mozilla-plugin
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
mkdir -p %{_sysconfdir}/gtk-2.0
for post in "" -32 -64
do
  bin=/usr/bin/gdk-pixbuf-query-loaders$post
  if test -e $bin
  then
    $bin > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
  fi
done

%postun
/sbin/ldconfig
for post in "" -32 -64
do
  bin=/usr/bin/gdk-pixbuf-query-loaders$post
  if test -e $bin
  then
    $bin > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
  fi
done

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO 
%{_bindir}/swf_play
%{_libdir}/libswfdec-0.3.so.*
%{_libdir}/gtk-2.0/2.?.0/loaders/swf_loader.so

%files devel
%defattr(-,root,root)
%{_libdir}/libswfdec-0.3.a
%{_libdir}/libswfdec-0.3.so
%{_libdir}/pkgconfig/swfdec-0.3.pc
%{_includedir}/swfdec-0.3
%{_libdir}/gtk-2.0/2.?.0/loaders/swf_loader.a

%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 0.3.5-0.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Tue Jun 28 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.5-0.lvn.1
- added dep on gdk-pixbuf-query-loaders
- moved to livna

* Fri Jun 24 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.5-0.gst.1
- updated to new upstream

* Tue May 17 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.4-0.gst.1
- updated to new upstream

* Thu Mar 03 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.2-0.lvn.1
- updated to new liboil and upstream release

* Thu Nov 11 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- new upstream release

* Thu May 20 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2.2-0.lvn.2
- require gcc-c++ for libtool
- fix pre/post req
- fix gtk loaders location
- work around FC2 packaging bug for SDL-devel

* Tue Mar 02 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2.2-0.lvn.1: updated for rpm.livna.us (without mozilla plugin)

* Mon May 19 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- Updated for 0.2.2

* Wed Feb 05 2003 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Update spec to handle pixbuf loader
* Sat Oct 26 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- First attempt at spec
